:host { width: 100%; max-width: 100%; overflow-x: auto; display: grid; }
.tab-group-container { width: 100%; overflow-x: auto; scrollbar-width: none; scroll-snap-type: x; position: relative; }
.tab-group { position: relative; display: inline-flex; align-items: center; }
.tab-group:has(> fds-tab[tab-style="chip"]) { gap: var(--fds-spacing-100); }
:host([stretch]) { box-sizing: border-box; }
:host([stretch]) .tab-group { display: flex; width: 100%; }
:host([stretch]) .tab-group fds-tab { flex: 1 1 0%; }
.tabs-underline { position: absolute; bottom: 0px; left: 0px; height: 2px; transition: 200ms cubic-bezier(0.35, 0, 0.25, 1); background-color: var(--fds-on-surface-color, var(--on-surface-color)); }
:host([shape="pill"]) .tabs-underline { display: none; }
:host([variant="solid"]):host([shape="rectangle"]) .tabs-underline { bottom: unset; height: 4px; }